Package ru.bitel.bgbilling.modules.email.server.bean

# Class EmailServiceActivator

java.lang.Object
ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator

All Implemented Interfaces:
  `java.io.Closeable`, `java.lang.AutoCloseable`

Direct Known Subclasses:
  `JDBCEmailServiceActivator`, `LdapEmailServiceActivator`

    public abstract class EmailServiceActivator
    extends java.lang.Object
    implements java.io.Closeable

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `EmailServiceActivator()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `cancel​(Account account)` |
  `protected abstract void` | `cancelImpl​(Account account)` |
  `void` | `close()` |
  `void` | `create​(Account account)` |
  `protected abstract void` | `createImpl​(Account account)` |
  `void` | `modify​(Account account)` |
  `protected abstract void` | `modifyImpl​(Account account)` |
  `void` | `removeDomain​(Domain domain)` |
  `protected abstract void` | `removeDomainImpl​(Domain domain)` |
  `void` | `updateDomain​(Domain domain)` |
  `protected abstract void` | `updateDomainImpl​(Domain domain)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmailServiceActivator

    public EmailServiceActivator()

- ## Method Details

  - ### create

    public void create​(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancel

    public void cancel​(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### modify

    public void modify​(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### createImpl

    protected abstract void createImpl​(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelImpl

    protected abstract void cancelImpl​(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### modifyImpl

    protected abstract void modifyImpl​(Account account) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `java.lang.AutoCloseable`
    Specified by:
      `close` in interface `java.io.Closeable`

  - ### updateDomain

    public void updateDomain​(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeDomain

    public void removeDomain​(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateDomainImpl

    protected abstract void updateDomainImpl​(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### removeDomainImpl

    protected abstract void removeDomainImpl​(Domain domain) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`